# List employer contributions **GET /employers/{employerId}/contributions** Retrieve a paginated list of contributions for a specified employer. ## Servers - Production: https://partner-api.getpenfold.com/v1 (Production) - Staging: https://partner-api.getpenfold.dev/v1 (Staging) ## Authentication methods - Bearer auth ## Parameters ### Path parameters - **employerId** (string(uuid)) Penfold employer UUID ### Query parameters - **pageSize** (integer) The maximum number of contributions to return per page. - **pageNumber** (integer) The page number to return. - **sortBy** (string) Sort contributions by date field. - **sortOrder** (string) Sort order (ascending or descending). ## Responses ### 200 A paginated list of contributions for the specified employer. #### Body: application/json (object) - **pageNumber** (integer) The current page number. - **pageSize** (integer) The number of items per page. - **totalItems** (integer) The total number of items available. - **items** (array[object]) An array of Contribution objects on the current page. ### 400 Request body failed validation #### Body: application/json (object) - **error** (string) A descriptive error message. - **validationErrors** (array[object]) ### 401 Missing or invalid authentication token #### Body: application/json (object) - **error** (string) ### 404 Resource not found #### Body: application/json (object) - **error** (string) ### 500 Internal server error #### Body: application/json (object) - **error** (string) [Powered by Bump.sh](https://bump.sh)